#include <iostream>

int main()
{
    std::ios::sync_with_stdio(false);
    int N, K, X;
    std::cin >> N >> K >> X;
    if(N<3) std::cout << "-1";
    else if(N==3) std::cout << 1 << " " << X+1 << " " << 2*X+1;
    else
    {
        std::cout << 1 << " " << X+1 << " " << X+1 << " " << X+1;
        for(int i=4; i<N; i++) std::cout << " " << X;
    }
    return 0;
}